libqxp::QXPDocumentProperties Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions

| QXPDocumentProperties ()
void | setAutoLeading (const double val)
double | autoLeading () const
bool | isIncrementalAutoLeading () const

## Public Attributes

double | superscriptOffset
double | superscriptHScale
double | superscriptVScale
double | subscriptOffset
double | subscriptHScale
double | subscriptVScale
double | superiorHScale
double | superiorVScale

## Private Attributes

double | m_autoLeading

## Constructor & Destructor Documentation

## QXPDocumentProperties()

libqxp::QXPDocumentProperties::QXPDocumentProperties | ( |  | ) |

inline

## Member Function Documentation

## autoLeading()

double libqxp::QXPDocumentProperties::autoLeading | ( |  | ) | const

Referenced by isIncrementalAutoLeading().

## isIncrementalAutoLeading()

bool libqxp::QXPDocumentProperties::isIncrementalAutoLeading | ( |  | ) | const

inline

## setAutoLeading()

void libqxp::QXPDocumentProperties::setAutoLeading | ( | const double | val | ) |

## Member Data Documentation

## m_autoLeading

double libqxp::QXPDocumentProperties::m_autoLeading

private

Referenced by autoLeading(), QXPDocumentProperties(), and setAutoLeading().

## subscriptHScale

double libqxp::QXPDocumentProperties::subscriptHScale

Referenced by QXPDocumentProperties().

## subscriptOffset

double libqxp::QXPDocumentProperties::subscriptOffset

Referenced by QXPDocumentProperties().

## subscriptVScale

double libqxp::QXPDocumentProperties::subscriptVScale

Referenced by QXPDocumentProperties().

## superiorHScale

double libqxp::QXPDocumentProperties::superiorHScale

Referenced by QXPDocumentProperties().

## superiorVScale

double libqxp::QXPDocumentProperties::superiorVScale

Referenced by QXPDocumentProperties().

## superscriptHScale

double libqxp::QXPDocumentProperties::superscriptHScale

Referenced by QXPDocumentProperties().

## superscriptOffset

double libqxp::QXPDocumentProperties::superscriptOffset

Referenced by QXPDocumentProperties().

## superscriptVScale

double libqxp::QXPDocumentProperties::superscriptVScale

Referenced by QXPDocumentProperties().

The documentation for this struct was generated from the following files:

- QXPTypes.h
- QXPTypes.cpp